Skip to content

Batch Void

Request

The Batch Void API voids multiple documents, including Tickets, EMDs and MCOs on a single booking. You can either void all documents of a specific type (ticket, EMD, or MCO), or send a list of individual ticket or document numbers to void. All tickets and/or documents must be on the same booking. This function is not supported for NDC or LCC. TASF void will be supported as a future enhancement.

Security
bearerAuth
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/json

Document Void request payload.

locatorobject(Locator)required

Locator information for the reservation. Contains the unique alphanumeric identifier (PNR or external locator) or cancellation number for the reservation, order, or offer.

documentVoidArray of objects(DocumentVoid)required
curl -i -X POST \
  https://api.pp.travelport.net/11/documents/void \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "locator": {
      "value": "D74QB5"
    },
    "documentVoid": [
      {
        "documentType": "Ticket",
        "number": [
          "0019905447250"
        ]
      },
      {
        "documentType": "Ticket",
        "number": [
          "0019905447251"
        ]
      },
      {
        "documentType": "Ticket",
        "number": [
          "0019905447252"
        ]
      }
    ]
  }'

Responses

OK - Successful response

Bodyapplication/json
DocumentVoidListResponseobject(DocumentVoidListResponse)

List of void results.

Response
{ "DocumentVoidListResponse": { "documentStatus": [ { … } ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }